define([
    'jquery',
    'uiComponent',
    'Magento_Checkout/js/model/payment/renderer-list',
    'Magento_Customer/js/model/customer',
    'Magento_Customer/js/customer-data'
], function ($, Component, rendererList, customer, customerData) {
    "use strict";

    return function reloadMiniCart() {
        var sections = ['cart'];
        console.log('checkout-method: customerData', customerData)
        //customerData.invalidate(sections);
        customerData.reload(sections, true);
        // console.log('checkout-method: Please check is the cart empty now?')
        // console.log('checkout-method: Bonjour Amir');
    }
});